> ## Documentation Index
> Fetch the complete documentation index at: https://docs.appcharge.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Content

> Deletes a content item.

<RequestExample>
  ```bash Delete Content theme={"system"}
  curl -X DELETE \
    'https://api.appcharge.com/v1/portal-content/507f1f77bcf86cd799439011' \
    -H 'x-publisher-token: <x-publisher-token>'
  ```
</RequestExample>

<ResponseExample>
  ```json Delete Content theme={"system"}
  {}
  ```

  ```json 400 theme={"system"}
  {
    "message": "BAD_REQUEST",
    "requestUrl": "/v1/portal-content/{contentId}",
    "body": "Invalid content ID or deletion error."
  }
  ```

  ```json 401 theme={"system"}
  {
    "message": "UNAUTHORIZED",
    "requestUrl": "/v1/portal-content/{contentId}",
    "body": "Invalid or missing publisher token."
  }
  ```

  ```json 404 theme={"system"}
  {
    "message": "NOT_FOUND",
    "requestUrl": "/v1/portal-content/{contentId}",
    "body": "Content not found."
  }
  ```

  ```json 500 theme={"system"}
  {
    "message": "INTERNAL_SERVER_ERROR",
    "requestUrl": "/v1/portal-content/{contentId}",
    "body": "Server error."
  }
  ```
</ResponseExample>


## OpenAPI

````yaml openapi-portal-content.json DELETE /v1/portal-content/{contentId}
openapi: 3.0.0
info:
  title: Portal Content API
  description: API for managing Game Portal content items.
  version: '1.0'
  contact: {}
servers:
  - url: https://api.appcharge.com
security: []
tags: []
paths:
  /v1/portal-content/{contentId}:
    delete:
      tags:
        - Portal Content
      summary: Delete Content
      description: Deletes a content item.
      operationId: delete-content
      parameters:
        - name: contentId
          in: path
          required: true
          description: Content ID.
          schema:
            type: string
            example: 507f1f77bcf86cd799439011
        - name: x-publisher-token
          required: true
          in: header
          description: Publisher token.
          schema:
            type: string
      responses:
        '200':
          description: Content deleted successfully.
        '400':
          description: Invalid content ID or deletion error.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                message: BAD_REQUEST
                requestUrl: /v1/portal-content/{contentId}
                body: Invalid content ID or deletion error.
        '401':
          description: Invalid or missing publisher token.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                message: UNAUTHORIZED
                requestUrl: /v1/portal-content/{contentId}
                body: Invalid or missing publisher token.
        '404':
          description: Content not found.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                message: NOT_FOUND
                requestUrl: /v1/portal-content/{contentId}
                body: Content not found.
        '500':
          description: Server error.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                message: INTERNAL_SERVER_ERROR
                requestUrl: /v1/portal-content/{contentId}
                body: Server error.
components:
  schemas:
    ErrorResponse:
      type: object
      properties:
        message:
          type: string
          description: Error message.
        requestUrl:
          type: string
          description: URL of the request that caused the error.
        body:
          type: string
          description: Error description.

````